# -*- coding: utf-8 -*-


class VerticalLayout:
    def resize(self):
        v = 0
        c = self.container
        for child in c.children:
            if not child.allowlayout:
                continue
            child.x = 0
            child.width = c.width
            child.y = v
            v += child.height
            child.handle('resize')
        c.redraw()
